import { type ButtonProps } from '../../ui/button';
/**
 * Svelte component for toggling the application theme on
 * the root element on button click. Values are stored and
 * retrieved form local storage.
 *
 * _*CURRENTLY ONLY HANDLES DARK/LIGHT THEME*_
 *
 * @default - theme = 'dark' if no class is found on root element.
 */
declare const Application: import("svelte").Component<ButtonProps, {}, "">;
type Application = ReturnType<typeof Application>;
export default Application;
