import { Command as CommandPrimitive, Dialog as DialogPrimitive, type WithoutChildrenOrChild } from "bits-ui";
import type { Snippet } from "svelte";
type $$ComponentProps = WithoutChildrenOrChild<DialogPrimitive.RootProps> & WithoutChildrenOrChild<CommandPrimitive.RootProps> & {
    portalProps?: DialogPrimitive.PortalProps;
    children: Snippet;
};
declare const CommandDialog: import("svelte").Component<$$ComponentProps, {}, "ref" | "value" | "open">;
type CommandDialog = ReturnType<typeof CommandDialog>;
export default CommandDialog;
