interface $$__sveltets_2_IsomorphicComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any, Slots extends Record<string, any> = any, Exports = {}, Bindings = string> {
    new (options: import('svelte').ComponentConstructorOptions<Props>): import('svelte').SvelteComponent<Props, Events, Slots> & {
        $$bindings?: Bindings;
    } & Exports;
    (internal: unknown, props: {
        $$events?: Events;
        $$slots?: Slots;
    }): Exports & {
        $set?: any;
        $on?: any;
    };
    z_$$bindings?: Bindings;
}
/**
 * Svelte header script to load stored theme from local storage.
 *
 * _*CURRENTLY ONLY HANDLES DARK/LIGHT THEME*_
 *
 * @default - theme = prefered-color-scheme otherwise light.
 *
 * @example
 * ```svelte title="+layout.svelte"
 * <script lang="ts">
 *  // +layout.svelte
 * import { ApplicationThemeInitScript } from '@dont-try-this/svelte-library/atoms/application.theme-toggle';
 * let { children } = $props();
 * </script>
 *
 * <ApplicationThemeInitScript />
 *
 * {@render children()}
 * ````
 */
declare const Application: $$__sveltets_2_IsomorphicComponent<Record<string, never>, {
    [evt: string]: CustomEvent<any>;
}, {}, {}, string>;
type Application = InstanceType<typeof Application>;
export default Application;
