import type { SVGAttributes } from 'svelte/elements';
type TitleType = {
    id?: string;
    title?: string;
};
type DescType = {
    id?: string;
    desc?: string;
};
export interface IconBaseProps extends SVGAttributes<SVGElement> {
    size?: string;
}
export interface IconProps extends IconBaseProps {
    title?: TitleType;
    desc?: DescType;
}
export {};
